function updateAudioController()
	--set volume
	a_shoot:setVolume(0.13)
	a_hit:setVolume(0.15)
	a_hit2:setVolume(0.4)
	a_cardselect:setVolume(0.75)
	a_carduse:setVolume(0.75)
	a_musicCombat1:setVolume(0)
	a_musicCombat2:setVolume(0)
	a_musicCombat:setVolume(audioController.combatVolume*0.25)
	
	love.audio.setVolume(options.volume * 0.8)	--set master volume
	
	--set looping
	a_musicCombat:setLooping(true)
	a_musicMenu:setLooping(true)
	
	
	--music controller
	if getEnemyCount() == 0 then		--transitions
		if audioController.combatVolume > 1 then
			audioController.combatVolume = 1
		end
		audioController.combatVolume = audioController.combatVolume - (0.5*hdt)
	else
		if audioController.combatVolume < 0 then
			audioController.combatVolume = 0
		end
		if audioRandom.combat == -1 then
			audioController.combatVolume = audioController.combatVolume + (1.2*hdt)
		else
			audioController.combatVolume = audioController.combatVolume + (0.5*hdt)
		end
	end
	
	if audioController.combatVolume > 1 then	--cap music
		audioController.combatVolume = 1
	elseif audioController.combatVolume < 0 then
		audioController.combatVolume = 0
	end
	
	if audioRandom.change then	--change song
		if audioRandom.combat == audioRandom.pCombat then else
			love.audio.stop(a_musicCombat)
			
			if audioRandom.combat == 1 then
				a_musicCombat = love.audio.newSource('assets/audio/musiccombat.mp3', 'static')
			elseif audioRandom.combat == 2 then
				a_musicCombat = love.audio.newSource('assets/audio/musiccombat2.mp3', 'static')
			elseif audioRandom.combat == 3 then
				a_musicCombat = love.audio.newSource('assets/audio/musiccombat3.mp3', 'static')
			elseif audioRandom.combat == 4 then
				a_musicCombat = love.audio.newSource('assets/audio/musiccombat4.mp3', 'static')
			elseif audioRandom.combat == 5 then
				a_musicCombat = love.audio.newSource('assets/audio/musiccombat5.mp3', 'static')
			elseif audioRandom.combat == 6 then
				a_musicCombat = love.audio.newSource('assets/audio/musiccombat6.mp3', 'static')
			elseif audioRandom.combat == -1 then
				a_musicCombat = love.audio.newSource('assets/audio/musictutorial.mp3', 'static')
			end
			playS(a_musicCombat)
			print("Current track: "..audioRandom.combat)
			audioRandom.pCombat = audioRandom.combat
		end
		if audioRandom.combat == 0 then	--boss music
			a_musicCombat = love.audio.newSource('assets/audio/musicboss.mp3', 'static')
			playS(a_musicCombat)
		end
		
		--end music
		if wave.current == 21 then
			love.audio.stop(a_musicCombat)
			a_musicCombat = love.audio.newSource('assets/audio/musicend.mp3', 'static')
			playS(a_musicCombat)
			audioRandom.combat = 9999
		end
		
		audioRandom.change = false
	end
	
	
	if inMenu then
		la.stop(a_musicCombat)
	end
	--print(math.floor(audioController.combatVolume*10)/10)
	
	
	
	
	
end