function updateBullets()
	for i, bullet in pairs(bullets) do
		--set smuggler timer
		bullet.timer = bullet.timer or 0
		bullet.maxTimer = bullet.maxTimer or 0.065
		bullet.timer = bullet.timer + hdt
	
		--move bullets
		bullet.px = bullet.x
		bullet.py = bullet.y
		bullet.x = bullet.x + (bullet.xdir*bullet.speed*hdt)
		bullet.y = bullet.y + (bullet.ydir*bullet.speed*hdt)
		
		--remove bullet when out of playable area
		if bullet.x > border.x + border.width or bullet.x < border.x - border.width or bullet.y > border.y + border.height or bullet.y < border.y - border.height then
			spark(1,bullet.x,bullet.y,0,1,0.4,1,bullet.color, 60, 0.25)
			table.remove(bullets,i)
		end
		
		--homing
		if bullet.homing then
			local speed = 75
			bullet.xdir = bullet.xdir -((bullet.x - player.x) / getDistance(bullet.x,bullet.y,player.x,player.y) * hdt * speed)
			bullet.ydir = bullet.ydir -((bullet.y - player.y) / getDistance(bullet.x,bullet.y,player.x,player.y) * hdt * speed)
		end
		
	end
end