function drawParticles()
	for i, particle in pairs(particles) do
		if particle.id == 1 then
			if particle.color == "orange" then
				setColor(255,170,50,255*(particle.timer*2))
			elseif particle.color == "yellow" then
				setColor(255,230,90,255*(particle.timer*2))
			elseif particle.color == "pink" then
				setColor(255,140,200,255*(particle.timer*2))
			elseif particle.color == "blue" then
				setColor(65,215,215,255*(particle.timer*2))
			elseif particle.color == "white" then
				setColor(219,244,255,255*(particle.timer*2))
			elseif particle.color == "purple" then
				setColor(178,0,255,255*(particle.timer*2))
			elseif particle.color == "grey" then
				setColor(165,190,205,255*(particle.timer*2))
			elseif particle.color == "green" then
				setColor(115,255,115)
			elseif particle.color[1] ~= nil then
				setColor(particle.color,255*(particle.timer*2))
			else
				setColor(215,45,45,255*(particle.timer*2))
			end
			lg.circle('fill',particle.x,particle.y,particle.size * particle.timer,40)
			
			if particle.chromAbb > 0 then
				lg.setCanvas(c_chromAbb)
				lg.setColor(particle.chromAbb,0,0)
				lg.circle('fill',particle.x,particle.y,particle.size * particle.timer,40 + particle.chromAbb*10)
				lg.setCanvas(c_screen)
			end
		end
		if particle.id == 2 then
			setColor(255,255,255,255*(particle.timer*3))
			love.graphics.circle('line',particle.x,particle.y,3,12)
		end
		if particle.id == 3 then
			setColor(190,215,45,255*(particle.timer*3))
			love.graphics.draw(i_skull,particle.x,particle.y, 0, 0.05,0.05, i_skull:getWidth()/2,i_skull:getHeight()/2)
		end
		if particle.id == 4 then
			if particle.color[4] == nil then
				setColor(particle.color, 255*(particle.timer*2))
			else
				setColor(particle.color, particle.color[4]*(particle.timer*2))
			end
			
			love.graphics.draw(i_fade,particle.x,particle.y, 0, 0.1*particle.size,0.1*particle.size,i_fade:getWidth()/2,i_fade:getHeight()/2)
		end
	end
end