function updateUnlocks()
	--create saves if none exist
	if not love.filesystem.getInfo("smuggler.txt") or not love.filesystem.getInfo("blacksmith.txt") or not love.filesystem.getInfo("berserker.txt") or not love.filesystem.getInfo("gambler.txt") or not love.filesystem.getInfo("tutorial.txt") then
		love.filesystem.newFile("smuggler.txt")
		love.filesystem.newFile("blacksmith.txt")
		love.filesystem.newFile("berserker.txt")
		love.filesystem.newFile("gambler.txt")
		love.filesystem.newFile("tutorial.txt")
		lf.newFile("wavesCompleted")
		
		love.filesystem.write("smuggler.txt",0)
		love.filesystem.write("blacksmith.txt",0)
		love.filesystem.write("berserker.txt",0)
		love.filesystem.write("gambler.txt",0)
		love.filesystem.write("tutorial.txt",0)
		
		print("no save data found. Writing new files...")
	end
	
	--set unlocks based on save info
	if unlocks.started == false then
		unlocks.started = true
		
		unlocks.smuggler = love.filesystem.read("smuggler.txt")
		unlocks.smuggler = tonumber(unlocks.smuggler)
		
		unlocks.blacksmith = love.filesystem.read("blacksmith.txt")
		unlocks.blacksmith = tonumber(unlocks.blacksmith)
		
		unlocks.berserker = love.filesystem.read("berserker.txt")
		unlocks.berserker = tonumber(unlocks.berserker)
		
		unlocks.gambler = love.filesystem.read("gambler.txt")
		unlocks.gambler = tonumber(unlocks.gambler)
		
		unlocks.tutorial = lf.read("tutorial.txt")
		unlocks.tutorial = tonumber(unlocks.tutorial)
		
		print("unlock save info: "..unlocks.smuggler.." "..unlocks.blacksmith.." "..unlocks.berserker.." "..unlocks.gambler.." "..unlocks.tutorial)
		
	end
	
	
	--unlocking new characters
	if not inMenu then
		if menu.character == 3 and wave.current == 11 or menu.character == 0 and wave.current == 21 then	--unlock blacksmith
			if unlocks.blacksmith == 0 then
				love.filesystem.write("blacksmith.txt",1)
				unlocks.started = false
				unlocks.textAlpha = 1000
			end
		end
		if menu.character == 0 and wave.current == 11 then  --unlock smuggler
			if unlocks.smuggler == 0 then
				love.filesystem.write("smuggler.txt",1)
				unlocks.started = false
				unlocks.textAlpha = 1000
			end
		end
		if menu.character == 4 and wave.current == 11 or menu.character == 3 and wave.current == 21 then	--unlock berserker
			if unlocks.berserker == 0 then
				love.filesystem.write("berserker.txt",1)
				unlocks.started = false
				unlocks.textAlpha = 1000
			end
		end
		if menu.character == 5 and wave.current == 11 or menu.character == 4 and wave.current == 21 then	--unlock gambler
			if unlocks.gambler == 0 then
				love.filesystem.write("gambler.txt",1)
				unlocks.started = false
				unlocks.textAlpha = 1000
			end
		end
		
		--tutorial
		if wave.current == 1 and unlocks.tutorial == 0 then
			lf.write("tutorial.txt",1)
			unlocks.started = false
		end
	end
	
	
end