function updateWaveController()
	--waves
	if wave.timer < 0 and inMenu == false then
		if wave.current == -3 and wave.active then
			wave.maxEnemies = 0.5
			summon(1,1.5)
		end
		if wave.current == -2 and wave.active then
			wave.maxEnemies = 0.5
			summon(1,1.5)
		end
		if wave.current == -1 and wave.active then
			wave.maxEnemies = 1.5
			summon(1,4.5)
		end
		if wave.current == 0 and wave.active then
			wave.maxEnemies = 1
			summon(1,3)
		end
		if wave.current == 1 and wave.active then
			wave.maxEnemies = 4
			summon(1,10)
		end
		if wave.current == 2 and wave.active then
			wave.maxEnemies = 5
			summon(3,1)
			summon(1,12)
			summon(3,1)
		end
		if wave.current == 3 and wave.active then
			wave.maxEnemies = 6
			summon(1,5)
			summon(2,1)
			summon(1,10)
			summon(2,2)
		end
		if wave.current == 4 and wave.active then
			wave.maxEnemies = 3
			summon(3,2)
			summon(2,5)
			summon(3,2)
		end
		if wave.current == 5 and wave.active then
			wave.maxEnemies = 5
			summon(4,5)
			summon(1,13)
			summon(3,3)
		end
		if wave.current == 6 and wave.active then
			wave.maxEnemies = 7
			summon(3,2)
			summon(1,10)
			summon(3,3)
			summon(1,10)
			summon(3,4)
		end
		if wave.current == 7 and wave.active then
			wave.maxEnemies = 8
			summon(4,10)
			summon(1,15)
		end
		if wave.current == 8 and wave.active then
			wave.maxEnemies = 6
			summon(3,5)						
			summon(4,3)
			summon(3,5)
			summon(4,2)
		end
		if wave.current == 9 and wave.active then
			wave.maxEnemies = 10
			summon(4,20)
		end
		if wave.current == 10 and wave.active then
			summon(6,0.5)
		end
		if wave.current == 11 and wave.active then
			wave.maxEnemies = 12
			summon(5,12)
		end
		if wave.current == 12 and wave.active then
			wave.maxEnemies = 14
			summon(5,6)
			summon(1,17)
			summon(3,3)
			summon(1,8)
		end
		if wave.current == 13 and wave.active then
			wave.maxEnemies = 13
			summon(2,3)
			summon(1,12)
			summon(4,8)
			summon(1,5)
		end
		if wave.current == 14 and wave.active then
			wave.maxEnemies = 15
			summon(1,12)
			summon(5,12)
			summon(1,12)
			summon(3,7)
		end
		if wave.current == 15 and wave.active then
			wave.maxEnemies = 24
			summon(8,60)
		end
		if wave.current == 16 and wave.active then
			wave.maxEnemies = 17
			summon(7,16)
			summon(4,10)
			summon(1,30)
		end
		if wave.current == 17 and wave.active then
			wave.maxEnemies = 17
			summon(7,6)
			summon(3,16)
			summon(2,8)
		end
		if wave.current == 18 and wave.active then
			wave.maxEnemies = 19
			summon(5,8)
			summon(8,30)
			summon(4,8)
		end
		if wave.current == 19 and wave.active then
			wave.maxEnemies = 17
			summon(7,15)
			summon(2,5)
			summon(5,9)
		end
		if wave.current == 20 and wave.active then
			summon(6,1)
		end
		if wave.current == 21 and wave.active then
			wave.maxEnemies = 9
			summon(6,30)
		end
		
		wave.active = false
	end
	
	
	
	
	--check for alive enemies
	enemiesAlive = false
	for i, enemy in pairs(enemies) do
		enemiesAlive = true
	end
	if summonList[1] ~= nil then enemiesAlive = true end
	if enemiesAlive == false and wave.timer < 0 and player.health > 0 then
		--wave.current = wave.current + 1
		--wave.active = true
		--wave.alpha = 1000
		--wave.timer = 5
		wave.displayCards = true
		if menu.character == 4 then		--give blacksmith armor
			player.health = player.maxHealth
			player.armor = player.armor + 10
		end
	end
	
	--remove enemy bullets
	if #enemies == 0 then
		for i, b in pairs(bullets) do
			if not b.friendly then
				table.remove(bullets,i)
			end
		end
	end
	
	
	--update timer(s)
	wave.timer = wave.timer - hdt
	
	--spawn cards
	if wave.displayCards and not inMenu then
		if wave.current < 20 and wave.current > 0 then
			newCard = {x = 1280/2-500, y = 300, id = cardRandom.first} table.insert(cards,newCard)
			newCard = {x = 1280/2+300, y = 300, id = cardRandom.second} table.insert(cards,newCard)

			if menu.character == 3 then
				newCard = {x = 1280/2-100, y = 300, id = cardRandom.third} table.insert(cards,newCard)
			end
			if menu.character == 6 then
				newCard = {x = 1280/2-100, y = 300, id = 0} table.insert(cards,newCard)
				print('card added')
			end
		else
			audioRandom.change = true
			player.health = player.maxHealth
			wave.alpha = 2000
			
			for j, t in pairs(turrets) do
				t.deathTimer = 1
			end
		end
		
		wave.displayCards = false
		wave.current = wave.current + 1
		wave.active = true
		wave.timer = 0
	end
	
	--lock timer 
	if enemiesAlive == false then
		wave.active = true
	end
	for i, card in pairs(cards) do
		wave.active = false
		wave.timer = 5
	end
	
	--summon enemies
	if wave.current >= 20 and wave.alpha <= 0 or wave.current < 20 then
		while summonList[1] ~= nil and #enemies < wave.maxEnemies * (1.7 + (player.enemyFerocity * 0.3)) do
			table.insert(enemies, summonList[1])
			table.remove(summonList,1)
		end
	end
	
	
end