function updateCards()
	assignCardHover()
end

function assignCardHover()
	local changeRate = 2.5
	local maxScale = 1.15

	for i, c in pairs(cards) do
		c.hoverScale = c.hoverScale or 1
		
		if audioController.combatVolume == 0 then
			if c.hover then
				c.hoverScale = math.min(maxScale, c.hoverScale + (changeRate * hdt))
			else
				c.hoverScale = math.max(1, c.hoverScale - (changeRate * hdt))
			end
		else
			c.hoverScale = 1
		end
	end
end