function drawBullets()
	for i, bullet in pairs(bullets) do
		if bullet.color == "orange" then
			setColor(255,170,50)
		elseif bullet.color == "yellow" then
			setColor(255,230,90)
		elseif bullet.color == "pink" then
			setColor(255,140,200)
		elseif bullet.color == "blue" then
			setColor(65,215,215)
		elseif bullet.color == "white" then
			setColor(219,244,255)
		elseif bullet.color == "grey" then
			setColor(85,100,125)
		elseif bullet.color == "green" then
			if menu.character == 3 and bullet.timer and bullet.timer < bullet.maxTimer then
				setColor(115 * 1.5, 255, 115 * 1.5)
			else
				setColor(115,255,115)
			end
		else
			setColor(215,45,45)
		end
		
		bullet.dScale = bullet.dScale or 0.08
		bullet.dScale = math.max(0, bullet.dScale - hdt*1.9)
		
		local se = 0
		if menu.character == 3 and bullet.timer and bullet.timer < bullet.maxTimer and bullet.friendly then se = 0.03 end
		
		lg.draw(i_bullet,bullet.x,bullet.y, math.angle(bullet.xdir,bullet.ydir, 0,0), 0.15 - bullet.dScale + se,0.15 + bullet.dScale + se, i_bullet:getWidth()/2,i_bullet:getHeight()/2)
		
		local r,g,b = lg.getColor()
		lg.setColor(r,g,b, 0.75 + bullet.dScale*2)
		lg.draw(i_bulletFade,bullet.x,bullet.y, math.angle(bullet.xdir,bullet.ydir, 0,0), 0.15 - bullet.dScale,0.15 + bullet.dScale, i_bulletFade:getWidth()/2,i_bulletFade:getHeight()/2)
		
	end
	
	lg.setCanvas(c_chromAbb)
	for i, bullet in pairs(bullets) do
		lg.setColor(0.7,0,0)
		lg.draw(i_bulletFade,bullet.x,bullet.y, math.angle(bullet.xdir,bullet.ydir, 0,0), 0.15 - bullet.dScale,0.15 + bullet.dScale, i_bulletFade:getWidth()/2,i_bulletFade:getHeight()/2)
	end
	lg.setCanvas(c_screen)
end