function drawPlayer()
	--draw turrets
	for i, t in pairs(turrets) do
		local s = t.deathTimer or 1
	
		setColor(20,160,205)
		love.graphics.circle('fill',t.x,t.y,20*s,6)
		setColor(15,55,155)
		love.graphics.circle('fill',t.x,t.y,17*s,6)
		
		lg.setBlendMode('add')
		setColor(20,160,205, 255/3)
		lg.draw(i_fade, t.x,t.y, 0, 0.1*s,0.1*s, i_fade:getWidth()/2, i_fade:getHeight()/2)
		lg.setBlendMode('alpha')
	end

	--draw player
	setColor(115,255,115)
	love.graphics.circle('fill',player.x,player.y,20,60)
	setColor(15,165,105)
	love.graphics.circle('fill',player.x,player.y,17,60)
	
	lg.setLineWidth(3)
	if menu.character == 1 then
		setColor(115,255,115)
		love.graphics.line(player.x-20,player.y,player.x+20,player.y)
	elseif menu.character == 2 then
		setColor(115,255,115)
		love.graphics.line(player.x,player.y-20,player.x,player.y+20)
	elseif menu.character == 3 then
		setColor(115,255,115)
		love.graphics.circle('line',player.x,player.y,20/3*2,40)
	elseif menu.character == 4 then
		setColor(115,255,115)
		love.graphics.line(player.x-10,player.y-10, player.x+10,player.y-10, player.x+10,player.y+5, player.x,player.y+14, player.x-10,player.y+5, player.x-10,player.y-10)
	elseif menu.character == 5 then
		setColor(115,255,115)
		love.graphics.line(player.x,player.y-17, player.x+10,player.y, player.x,player.y+17, player.x-10,player.y, player.x,player.y-17)
		if player.health < player.maxHealth/4 then
			love.graphics.line(player.x,player.y-(17/3*1.7), player.x+(10/3*1.7),player.y, player.x,player.y+(17/3*1.7), player.x-(10/3*1.7),player.y, player.x,player.y-(17/3*1.7))
		end
	elseif menu.character == 6 then
		setColor(115,255,115)
		love.graphics.line(player.x-10,player.y-12.5, player.x+10,player.y-12.5, player.x+15,player.y-2.5, player.x,player.y+15, player.x-15,player.y-2.5, player.x-10,player.y-12.5)
		love.graphics.line(player.x-15,player.y-2.5, player.x+15,player.y-2.5)
		love.graphics.line(player.x-2.5,player.y-12.5, player.x-8,player.y-2.5, player.x,player.y+15)
		love.graphics.line(player.x+2.5,player.y-12.5, player.x+8,player.y-2.5, player.x,player.y+15)
	end
	
	setColor(115,255,115,255/3)
	lg.setBlendMode("add")
	lg.draw(i_fade, player.x,player.y, 0, 0.1,0.1, i_fade:getWidth()/2,i_fade:getHeight()/2)
	lg.setBlendMode("alpha")

	
	--draw glitch map
	lg.setCanvas(c_glitch)
	
	lg.setColor(0.5,0.5,0)
	lg.rectangle('fill',0,0,1280,720)
	
	for i, g in pairs(glitchObjects) do
		lg.setColor(g.red,g.green,0, player.hurt ^ 0.5)
		if g.subtract then
			lg.setBlendMode('subtract')
		else
			lg.setBlendMode('add')
		end
		lg.draw(g.img,g.x,g.y,g.r,g.s,g.s, g.img:getWidth()/2,g.img:getHeight()/2)
	end
	
	lg.setBlendMode('alpha')
	
	lg.setCanvas(c_screen)
	
end